
Redmine - Defect #11341

Escaped link in conflict resolution form

2012-07-07 06:51 - Nayuta Taga

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.0.4   

Resolution: Fixed Affected version: 2.0.0

Description

The third choice of the conflict resolution page shows raw HTML.

It should be html_safe-ed.

Associated revisions

Revision 9925 - 2012-07-07 07:23 - Jean-Philippe Lang

Fixed: escaped link in conflict resolution form (#11341).

History

#1 - 2012-07-07 06:54 - Nayuta Taga

The bug can be reproduced in both trunk and tags/2.0.3 .

$ RAILS_ENV=production rake about

About your application's environment

Ruby version              1.9.3 (i386-freebsd7)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.6

Active Record version     3.2.6

Action Pack version       3.2.6

Active Resource version   3.2.6

Action Mailer version     3.2.6

Active Support version    3.2.6

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x28f90f4c>,

Rack::Runtime, Rack::MethodOverride, ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions,

ActionDispatch::DebugExceptions, ActionDispatch::RemoteIp, ActionDispatch::Callbacks,

ActiveRecord::ConnectionAdapters::ConnectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies,

ActionDispatch::Session::CookieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet,

Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          (snip)

Environment               production

Database adapter          sqlite3

Database schema version   20120705074331

#2 - 2012-07-07 07:24 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from Conflict resolution text bug to Escaped link in conflict resolution form

- Status changed from New to Resolved

- Target version set to 2.0.4

- Affected version (unused) set to 2.0.0

- Resolution set to Fixed

- Affected version set to 2.0.0

Committed with test in r9925, thanks for pointing this out.

#3 - 2012-07-08 14:36 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/9925


Merged.

Files

ConflictResolutionTextBug-trunk-r9923.patch 824 Bytes 2012-07-07 Nayuta Taga

ConflictResolutionTextBug.png 13 KB 2012-07-07 Nayuta Taga
